Bug 61330 - Bogus whining from anaconda about space
Bogus whining from anaconda about space
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Beth Uptagrafft
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-03-17 19:51 EST by Michal Jaegermann
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-01 00:34:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2002-03-17 19:51:38 EST
Description of Problem:

When eventually coerced to leave some space at the beginning of a disk
for a boot block Disk Druid raises a stink claiming that a minimum 5
Megabytes of a free space is needed.  This is totally bogus.  The
whole partition table sits on an initial disk sector, one more sector
is left blank and a boot block, which is around 80k, starts on the
next one.  In other words around 100 KiB will leave some slack.  In
practical terms keeping the first cylinder free is more than
ample. Depending on a disk geometry this likely will be between five
to ten times more than a required space.
Comment 1 Phil Copeland 2002-04-30 22:23:08 EDT
I know what you're saying just I can't guarentee this is going to be true for
all disk controllers

Comment 2 Michal Jaegermann 2002-05-01 00:34:42 EDT
disk controller has nothing to do with it.  In a situation when half
megabyte is a gross overestimate warnings about 5 Megabytes required are
just counterproductive.  One cylinder reserve is just a convenient way
to partition things and as long as anaconda is unhappy with anything
above, say, 250K just to leave a _very_ ample margin then I can only repeat
that this is bogus and makes anaconda look clueless.

So, do you know an example of a real disk controller and a disk with a cylinder
below 100k?  That would be pretty interesting with anything which realistically
can be used.  I am all ears...
Comment 3 Phil Copeland 2002-05-09 14:47:52 EDT
At this stage of the game, with all the QA thats already been performed, I'm
going skip on this one,.. think of it as space for future expansion.


Note You need to log in before you can comment on or make changes to this bug.